Summary: GTK+ DocBook Documentation Generator
Name: gtk-doc

%global momorel 2

Version: 1.10
Release: %{momorel}m%{?dist}
Group: Applications/Text
License: GPL
URL: http://www.gtk.org/rdp/

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.10/%{name}-%{version}.tar.bz2 
NoSource: 0

Patch1: gtk-doc-1.2-sgmldecl.patch
Patch2: gtk-doc-1.8-docdir.patch

#BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: docbook-dtds >= 4.2
BuildPrereq: docbook-style-dsssl
BuildPrereq: docbook-style-xsl
BuildPrereq: libxslt >= 1.1.20
BuildPrereq: openjade
BuildPrereq: xml-common
BuildPrereq: rarian
BuildPrereq: perl
BuildPrereq: python
BuildPrereq: glib2-devel

Prereq: docbook-style-dsssl
Prereq: docbook-style-xsl
Prereq: libxslt >= 1.1.20
Prereq: xml-common

%description
gtk-doc is a set of perl scripts that generate API reference documention in
DocBook format.  It can extract documentation from source code comments in a
manner similar to java-doc.  It is used to generate the documentation for
GLib, Gtk+, and GNOME.

%prep
%setup -q
%patch1 -p1 -b .sgmldecl
%patch2 -p1 -b .doxdir
mv doc/README doc/README.docs

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall
rm -rf %{buildroot}/var/scrollkeeper

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README doc/* examples
%{_bindir}/*
%{_datadir}/pkgconfig/*.pc
%{_datadir}/%{name}/*
%{_datadir}/aclocal/*.m4
%{_datadir}/sgml/%{name}
%{_datadir}/doc/%{name}
%{_datadir}/omf/%{name}

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.10-2m)
- rebuild against gcc43

* Thu Mar 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10-1m)
- update to 1.10

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9-2m)
- %%NoSource -> NoSource

* Tue Oct  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9-1m)
- update to 1.9

* Wed May  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.8-2m)
- unhold /usr/share/gtk-doc

* Wed Feb 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.8-1m)
- update to 1.8

* Mon Jan  1 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.7-2m)
- add BuildPrereq: scrollkeeper

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.7-1m)
- update to 1.7

* Wed Jun  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6-2m)
- delete duplicated files

* Thu Apr 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6-1m)
- update to 1.6

* Wed Apr  5 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5-1m)
- update to 1.5

* Sun Nov 20 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4-3m)
- use %{_libdir}

* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4-2m)
- comment out unnessesaly autoreconf and make check

* Sun Nov 13 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4-1m)
- reject patch2.
- version up.
- GNOME 2.12.1 Desktop

* Tue Nov 1 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
-  (1.3-3m)
- rebuild against libxslt-1.1.12-3m

* Sun Apr 24 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3-2m)
- import dcl patch (gtk-doc.dcl: Allow ':' in names. (#169087))

* Tue Apr 14 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3-1m)
- update 1.3

* Sun Apr 18 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.2-2m)
- adjustment BuildPreReq

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.2-1m)
- version 1.2
- exchanges from Patch0 to Patch1
- GNOME 2.6 Desktop

* Wed Aug 13 2003 HOSONO Hidetomo <h12o@h12o.org>
- (1.1-7m)
- add BuildPrereq: docbook-dtds (sorry for several commit...)

* Wed Aug 13 2003 HOSONO Hidetomo <h12o@h12o.org>
- (1.1-6m)
- add BuildPrereq: libxslt

* Wed Aug 13 2003 HOSONO Hidetomo <h12o@h12o.org>
- (1.1-5m)
- add BuildPrereq: openjade

* Tue Jul 22 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1-4m)
- add BuildPrereq: xml-common and add Prereq: xml-common

* Mon Jun 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1-3m)
- fix file list

* Fri May 23 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1-2m)
- add BuildPrereq: docbook-dtds,docbook-style-xsl

* Fri Apr 18 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1-1m)
- version 1.1

* Wed Jan 22 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0-1m)
- version 1.0

* Wed Nov 20 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.10-1m)
- version 0.10

* Thu Feb 07 2002 Shingo Akagaki <dora@kondara.org>
- (0.9-2k)
- version 0.9

* Fri Feb  1 2002 Shingo Akagaki <dora@kondara.org>
- (0.7-8k)
- rebuild against for openjade-1.3.1

* Sat Jan 12 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (0.7-6k)
- s/Copyright/License/

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (0.7-4k)
- nigittenu

* Wed Sep 26 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- (0.7-3k)
- k

* Fri Apr 27 2001 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Merge in some of the features of the redhat spec file.

* Wed Nov 15 2000 John Gotts <jgotts@linuxsavvy.com>
- Minor updates for 0.4.
* Thu Aug 26 1999 John E. Gotts <jgotts@engin.umich.edu>
- Created spec file.
